import sys
from box.logging import LoggingProgram
from .create import create
from .settings import settings

class Program(LoggingProgram):
         
    #Protected
    
    _settings = settings
    
    def _execute(self):
        create(self._command.path, 
            pattern=self._command.pattern,
            command=self._command.command)
    
        
program = Program(sys.argv)